/**
 * Inspects a node, without using color.
 *
 * @param {unknown} node
 * @param {Options} [options]
 * @returns {string}
 */
export function inspectNoColor(
  node: unknown,
  options?: Options | undefined
): string
/**
 * Inspects a node, using color.
 *
 * @param {unknown} tree
 * @param {Options} [options]
 * @returns {string}
 */
export function inspectColor(
  tree: unknown,
  options?: Options | undefined
): string
/**
 * Inspects a node, using color.
 *
 * @param {unknown} tree
 * @param {Options} [options]
 * @returns {string}
 */
export function inspect(tree: unknown, options?: Options | undefined): string
export type Node = import('unist').Node
export type Position = import('unist').Position
export type Point = import('unist').Point
export type Options = {
  showPositions?: boolean | undefined
}
/**
 * Deprecated, use `Options`.
 */
export type InspectOptions = Options
